Subject: [PATCH 3/3] arm: dts: Add gta04a5 model

From: [email-masked] (Tony Lindgren)
Date: Fri, 1 Aug 2014 01:02:46 -0700

* Javier Martinez Canillas <[email-masked]> [140729 07:14]:
> Hello,
> 
> On Tue, Jul 29, 2014 at 3:03 PM, Dr. H. Nikolaus Schaller
> <[email-masked]> wrote:
> > Hi,
> >> So what's the conclusion? Are changes needed to this patch
> >> series or not?
> >
> > I advocate that no changes are needed.
> >
> 
> I agree with Dr. H. Nikolaus on this regard. A DeviceTree should be a
> description of the hardware and if two hardware platforms differs,
> then we need two different DTS.
> 
> Lately I'm seeing some attempts to abuse u-boot's fdt command, u-boot
> should only modify the strictly necessary like the /chosen branch.
> Allowing u-boot to mangle the FDT before passing to the kernel just to
> avoid some DT duplication doesn't sound like a good idea IMHO.

OK no more comments, so applied all into omap-for-v3.17/dt.
As there's a good chance the merge window will open on Monday,
no guarantees the gta04 related changes will make it. But I'll
send a pull request a bit later on today for them anyways.

Regards,

Tony